%global momorel 3

Summary: Generic Graphics Library
Name: gegl
Version: 0.0.18
Release: %{momorel}m%{?dist}
License: LGPL
Group: Development/Tools
URL: http://www.gegl.org/
Source0: ftp://ftp.gimp.org/pub/%{name}/0.0/%{name}-%{version}.tar.bz2 
NoSource: 0
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: pkgconfig
BuildRequires: babl-devel >= 0.0.22
BuildRequires: glib2-devel >= 2.14.1
BuildRequires: gtk2-devel >= 2.12.0
BuildRequires: cairo-devel >= 1.4.10
BuildRequires: pango-devel >= 1.18.2
BuildRequires: libjpeg-devel
BuildRequires: libpng-devel
BuildRequires: librsvg2-devel >= 2.22.2-3m
BuildRequires: OpenEXR-devel >= 1.6.1
BuildRequires: SDL-devel
BuildRequires: graphviz-devel
BuildRequires: enscript
BuildRequires: x264-devel >= 0.0.721-0.20080703

%description
GEGL (Generic Graphics Library) is a graph based image processing framework.

GEGLs original design was made to scratch GIMPs itches for a new
compositing and processing core. This core is being designed to have
minimal dependencies. and a simple well defined API.

%package devel
Summary: gnomescan devel
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}
Requires: glib2-devel
Requires: babl-devel

%description devel
gegl devel

%prep
%setup -q
chmod -x operations/external/ff-load.c operations/common/perlin/perlin.*

%build
%configure --disable-static --enable-workshop
%make

%install
rm -rf --preserve-root %{buildroot}
make DESTDIR=%{buildroot} install

find %{buildroot}%{_libdir} -maxdepth 1 -name "*.la" -delete

%clean
rm -rf --preserve-root %{buildroot}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog README
%{_bindir}/%{name}
%{_libdir}/gegl-0.0
%{_libdir}/*.so.*

%files devel
%defattr(-,root,root)
%{_includedir}/gegl-0.0
%{_libdir}/*.so
#%{_libdir}/*.a
%{_libdir}/pkgconfig/*.pc
%{_datadir}/gtk-doc/html/gegl

%changelog
* Sun Jul  6 2008 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (0.0.18-3m)
- rebuild against graphviz-2.18

* Fri Jul  4 2008 Yohsuke Ooi <meke@momonga-linux.org>
- (0.0.18-1m)
- update to 0.0.18

* Tue May 06 2008 Masayuki SANO <nosanosa@momonga-linux.org>
- (0.0.16-1m)
- update to 0.0.16

* Tue Apr 29 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.0.12-7m)
- rebuild against librsvg2-2.22.2-3m

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.0.12-6m)
- rebuild against gcc43

* Thu Mar 27 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.0.12-5m)
- rebuild against OpenEXR-1.6.1

* Wed Feb 13 2008 Yohsuke Ooi <meke@momonga-linux.org>
- (0.0.12-4m)
- %%NoSource -> NoSource

* Sun Sep 23 2007 Masanobu Sato <satoshiga@momonga-linux.org>
- (0.0.12-3m)
- add libdir patch

* Sun Sep 23 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.0.12-2m)
- install library to lib64 (arch x86_64)

* Sun Sep 23 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.0.12-1m)
- initial build
